## indi-ffmv 0.3%2B20220129131520

=== debian/changelog ===
indi-ffmv (0.3+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 13:46:58 +0000

indi-ffmv (0.3-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Dec 2021 12:16:00 +0100

indi-ffmv (0.3-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 17 Dec 2021 12:16:00 +0000

## indi-ffmv 0.3+20220129131520

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi-ffmv CXX C)

set(CMAKE_CXX_FLAGS "-std=c++0x ${CMAKE_CXX_FLAGS}")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

IF(NOT APPLE)
set(UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
ENDIF(NOT APPLE)

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(ZLIB REQUIRED)
find_package(DC1394 REQUIRED)

set (FFMV_VERSION_MAJOR 0)
set (FFMV_VERSION_MINOR 3)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_ffmv.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_ffmv.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})
include_directories( ${DC1394_INCLUDE_DIR})

include(CMakeCommon)

########### QSI ###########
set(indiffmv_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/ffmv_ccd.cpp
   )

add_executable(indi_ffmv_ccd ${indiffmv_SRCS})

target_link_libraries(indi_ffmv_ccd ${INDI_LIBRARIES} ${CFITSIO_LIBRARIES} ${DC1394_LIBRARIES} )

install(TARGETS indi_ffmv_ccd RUNTIME DESTINATION bin )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_ffmv.xml DESTINATION ${INDI_DATA_DIR})

IF(NOT APPLE)
install(FILES 99-fireflymv.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
ENDIF(NOT APPLE)

=== debian/control ===
Source: indi-ffmv
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
	, libdc1394-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-ffmv
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-ffmv.git

Package: indi-ffmv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Point Grey Firefly MV cameras
 This package contains an INDI driver for Point Grey Firefly MV cameras.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-ffmv 0.3+20220611124023

=== debian/changelog ===
indi-ffmv (0.3+20220611124023-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:40:33 +0000

## indi-ffmv 0.3+20221223120905

=== debian/changelog ===
indi-ffmv (0.3+20221223120905-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113018)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:23:56 +0200

indi-ffmv (0.3+20221223120905-2) unstable; urgency=medium

  * Use udev.pc to place udev files. (Closes: #1058852)
    Thanks to Chris Hofstaedtler for the patch
    - debian/control: update dependencies for /usr-merge
    - debian/rules: Use udev.pc to place udev files.
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/copyright: update years
  * add upstream/metadata

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 18 Dec 2023 10:10:36 +0100

indi-ffmv (0.3+20221223120905-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.3

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Dec 2022 12:10:19 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,9 @@
 	, zlib1g-dev
 	, libnova-dev
 	, libdc1394-dev
-Standards-Version: 4.6.0
+	, pkgconf
+	, systemd-dev
+Standards-Version: 4.6.2
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
